Skip to main content
GET
/
v1
/
trading
/
orders
/
open
Get open orders
curl --request GET \
  --url https://api.polymarketexchange.com/v1/trading/orders/open
{
  "orders": [
    {
      "id": "<string>",
      "type": "ORDER_TYPE_MARKET_TO_LIMIT",
      "side": "SIDE_BUY",
      "orderQty": "<string>",
      "symbol": "<string>",
      "clordId": "<string>",
      "timeInForce": "TIME_IN_FORCE_DAY",
      "account": "<string>",
      "cumQty": "<string>",
      "avgPx": "<string>",
      "leavesQty": "<string>",
      "state": "ORDER_STATE_PARTIALLY_FILLED",
      "participant": "<string>",
      "price": "<string>",
      "insertTime": "2023-11-07T05:31:56Z",
      "stopPrice": "<string>",
      "minQty": "<string>",
      "createTime": "2023-11-07T05:31:56Z",
      "allOrNone": true,
      "crossId": "<string>",
      "hostCrossId": "<string>",
      "submittingParticipant": "<string>",
      "clientAccountId": "<string>",
      "clientParticipantId": "<string>",
      "parentOrderId": "<string>",
      "commissionsBasisPoints": "<string>",
      "participateDontInitiate": true,
      "cashOrderQty": "<string>",
      "strictLimit": true,
      "goodTillTime": "2023-11-07T05:31:56Z",
      "bestLimit": true,
      "immediatelyExecutableLimit": true,
      "lastTradeId": "<string>",
      "commissionNotionalTotalCollected": "<string>",
      "selfMatchPreventionInstruction": "SELF_MATCH_PREVENTION_INSTRUCTION_REJECT_AGGRESSOR",
      "orderCapacity": "ORDER_CAPACITY_AGENCY",
      "ignorePriceValidityChecks": true,
      "lastTransactTime": "2023-11-07T05:31:56Z",
      "makerCommissionsBasisPoints": "<string>",
      "manualOrderIndicator": "MANUAL_ORDER_INDICATOR_MANUAL"
    }
  ]
}

Query Parameters

symbols
array
accounts
array

Response

200 - application/json

A successful response.

orders
object[]